<?php

namespace App\Jobs;

use Illuminate\Support\Facades\Log;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Support\Facades\Artisan;

use App\Models\Photo;

class PhotoMove extends Job implements ShouldQueue
{
	use InteractsWithQueue,SerializesModels;

	private $photo;

	/**
	 * Create a new job instance.
	 *
	 * @return void
	 */
	public function __construct(Photo $photo)
	{
		$this->photo = $photo;
	}

	/**
	 * Execute the job.
	 *
	 * @return void
	 */
	public function handle()
	{
		Log::info(sprintf('%s: Moving [%s]',__METHOD__,$this->photo->id));
		Artisan::call('photo:move',['--id' => $this->photo->id]);
	}
}
